PROBLEM


Backups from a Hyper-V Host running Server 2016 fail with the error below:

The VM configuration version needs to be upgraded to v8.0 or newer (Error code 'RCTCONTROLLER_019')





CAUSE


This error occurs when certain attempting to backup a VM from a Hyper-V Host running Server 2016 which has a version less than 8.0



SOLUTION


Note: The VM needs to be in an Off state in order to upgrade its configuration version.


The solution is simply to upgrade the VM Configuration to 8.0 or above using the below steps:


  1. Open Hyper-V Manager and right click on the VM in question. Select [Update Configuration Version] from the menu:




  2. Click [Upgrade] to confirm:




You can also choose to update the configuration version using PowerShell. In order to get the list of all VMs and their respective configuration version, you can run the following command:


Get-VM * | Format-Table Name, Version


Once you've identified the VM you'd like to update, you can do so using this command:


Update-VMVersion <vm-name>